[arch-commits] Commit in a52dec/repos (3 files)

Jan de Groot jgc at archlinux.org
Fri Jul 18 18:05:50 EDT 2008


    Date: Friday, July 18, 2008 @ 18:05:50
  Author: jgc
Revision: 5600

Fix svn conflict

Added:
  a52dec/repos/extra-x86_64/a52dec-0.7.4-build.patch
    (from rev 5303, a52dec/trunk/a52dec-0.7.4-build.patch)
Modified:
  a52dec/repos/extra-x86_64/	(properties)
  a52dec/repos/extra-x86_64/PKGBUILD

--------------------------+
 PKGBUILD                 |   33 ++++++++++++++++-----------------
 a52dec-0.7.4-build.patch |   27 +++++++++++++++++++++++++++
 2 files changed, 43 insertions(+), 17 deletions(-)


Property changes on: a52dec/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /a52dec/trunk:1
   + /a52dec/trunk:1-5599

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-18 22:03:04 UTC (rev 5599)
+++ extra-x86_64/PKGBUILD	2008-07-18 22:05:50 UTC (rev 5600)
@@ -1,27 +1,26 @@
 # $Id$
-# Maintainer: arjan <arjan at archlinux.org>
-#contributor Sarah Hay <sarahhay at mb.sympatico.ca>
+# Maintainer: Thomas Baechler <thomas at archlinux.org>
+# contributor: Sarah Hay <sarahhay at mb.sympatico.ca>
 
 pkgname=a52dec
 pkgver=0.7.4
-pkgrel=3.1
+pkgrel=4
 pkgdesc="liba52 is a free library for decoding ATSC A/52 streams."
-arch=(i686 x86_64)
-depends=(glibc)
-source=(http://liba52.sourceforge.net/files/$pkgname-$pkgver.tar.gz)
-[ "$CARCH" = "x86_64" ] && source=(${source[@]} 'http://www.gentoo.org/cgi-bin/viewcvs.cgi/*checkout*/media-libs/a52dec/files/a52dec-0.7.4-build.patch')
+arch=('i686' 'x86_64')
+license=('GPL2')
+depends=('glibc')
+options=(!libtool)
+source=(http://liba52.sourceforge.net/files/${pkgname}-${pkgver}.tar.gz
+	a52dec-0.7.4-build.patch)
 url="http://liba52.sourceforge.net/"
-md5sums=('caa9f5bc44232dc8aeea773fea56be80')
-[ "$CARCH" = "x86_64" ] && md5sums=(${md5sums[@]} '3bb61e4ec18824ddab0068807ad43de8')
+md5sums=('caa9f5bc44232dc8aeea773fea56be80' 'fa16f224a7dceb7613824380abef0052')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-
-  [ "$CARCH" == "x86_64" ] && patch -Np1 -i ../a52dec-0.7.4-build.patch &&  ./bootstrap || return 1
-
-  ./configure --prefix=/usr --enable-shared
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np1 -i ${srcdir}/a52dec-0.7.4-build.patch || return 1
+  ./bootstrap || return 1
+  ./configure --prefix=/usr --enable-shared || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  install -m644 liba52/a52_internal.h $startdir/pkg/usr/include/a52dec/ 
-  find $startdir/pkg -name '*.la' -exec rm {} \;
+  make DESTDIR=${pkgdir} install || return 1
+  install -m644 liba52/a52_internal.h $startdir/pkg/usr/include/a52dec/ || return 1
 }

Copied: a52dec/repos/extra-x86_64/a52dec-0.7.4-build.patch (from rev 5303, a52dec/trunk/a52dec-0.7.4-build.patch)
===================================================================
--- extra-x86_64/a52dec-0.7.4-build.patch	                        (rev 0)
+++ extra-x86_64/a52dec-0.7.4-build.patch	2008-07-18 22:05:50 UTC (rev 5600)
@@ -0,0 +1,27 @@
+diff -Naur a52dec-0.7.4.orig/liba52/Makefile.am a52dec-0.7.4/liba52/Makefile.am
+--- a52dec-0.7.4.orig/liba52/Makefile.am	2002-01-27 20:36:48.000000000 -0800
++++ a52dec-0.7.4/liba52/Makefile.am	2004-11-05 01:10:21.317401872 -0800
+@@ -1,4 +1,3 @@
+-CFLAGS = @CFLAGS@ @LIBA52_CFLAGS@
+ 
+ lib_LTLIBRARIES = liba52.la
+ 
+diff -Naur a52dec-0.7.4.orig/liba52/configure.incl a52dec-0.7.4/liba52/configure.incl
+--- a52dec-0.7.4.orig/liba52/configure.incl	2002-01-27 20:36:48.000000000 -0800
++++ a52dec-0.7.4/liba52/configure.incl	2004-11-05 01:11:38.172672216 -0800
+@@ -2,7 +2,6 @@
+ AC_SUBST([LIBA52_LIBS])
+ 
+ dnl avoid -fPIC when possible
+-LIBA52_CFLAGS="$LIBA52_CFLAGS -prefer-non-pic"
+ 
+ AC_ARG_ENABLE([double],
+     [  --enable-double         use double-precision samples])
+diff -Naur a52dec-0.7.4.orig/src/Makefile.am a52dec-0.7.4/src/Makefile.am
+--- a52dec-0.7.4.orig/src/Makefile.am	2002-06-22 18:51:57.000000000 -0700
++++ a52dec-0.7.4/src/Makefile.am	2004-11-05 01:10:21.320401375 -0800
+@@ -1,4 +1,3 @@
+-CFLAGS = @A52DEC_CFLAGS@
+ 
+ bin_PROGRAMS = a52dec extract_a52
+ a52dec_SOURCES = a52dec.c getopt.c gettimeofday.c





More information about the arch-commits mailing list